<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.1.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="e95d9c57-b534-48d0-a1dd-ffdbac7fcb77" data-root-id="p1022" style="display: contents;"></div>
  
    <script type="application/json" id="p1058">
      {"7f1ae0fb-9e3e-4882-9707-a9796864c06c":{"version":"3.1.1","title":"Bokeh Application","defs":[],"roots":[{"type":"object","name":"Column","id":"p1022","attributes":{"children":[{"type":"object","name":"Div","id":"p1019","attributes":{"text":"&lt;h3 style=\"text-align: center\"&gt;List of packages, where we couldn't download info about the centos stream gitlab repo&lt;/h3&gt;"}},{"type":"object","name":"DataTable","id":"p1013","attributes":{"source":{"type":"object","name":"ColumnDataSource","id":"p1010","attributes":{"selected":{"type":"object","name":"Selection","id":"p1012","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1011"},"data":{"type":"map","entries":[["package",["Package","beignet","cargo-vendor","cc-config","centos-obsolete-packages","centos-release-stream","centos-repos","centpkg-minimal","compat-sap-c++-12","devtoolset-7","devtoolset-7-binutils","devtoolset-7-gcc","djvulibre","flatpak-runtime","gcc-toolset-9-gcc-toolset-9","gcc-toolset-9-gdb","golang-ecosystem","golang-github-osbuild-composer","idm","insight-client","ipa-idoverride-memberof","iwlfifi_dup","jigdo","kmod-redhat-btusb","kmod-redhat-iwlwifi","libsigc++20","libssh2","libxcam","llvm-toolset-6.0","llvm-toolset-6.0-clang","llvm-toolset-6.0-compiler-rt","llvm-toolset-6.0-libomp","llvm-toolset-6.0-lld","llvm-toolset-6.0-lldb","llvm-toolset-6.0-llvm","llvm-toolset-6.0-python-lit","memtest86+","perl-Text-Tabs+Wrap","pki-servlet-container","python-pyvmomi","python-websocket-client","quagga","rmd","sapconf","spice-qxl-wddm","spice-usbdk-win","tree","userspace"]],["error",["remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","unexpected http status code: 403","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","unexpected http status code: 403","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","unexpected http status code: 403","unexpected http status code: 403","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set","remote authentication required but no callback set"]]]}}},"view":{"type":"object","name":"CDSView","id":"p1017","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1018"}}},"columns":[{"type":"object","name":"TableColumn","id":"p1003","attributes":{"field":"package","title":"package","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1002","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(package == 'no' || package == 'False' || package == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1005"}}},{"type":"object","name":"TableColumn","id":"p1007","attributes":{"field":"error","title":"error","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1006","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(error == 'no' || error == 'False' || error == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1009"}}}]}},{"type":"object","name":"Div","id":"p1020","attributes":{"text":"&lt;a href='gitlab_fail.html'&gt;Link to standalone gitlab_fail table&lt;/a&gt;"}},{"type":"object","name":"Div","id":"p1021","attributes":{"text":"Generated from data collected on [None]"}}]}}],"callbacks":{"type":"map"}}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1058').textContent;
              const render_items = [{"docid":"7f1ae0fb-9e3e-4882-9707-a9796864c06c","roots":{"p1022":"e95d9c57-b534-48d0-a1dd-ffdbac7fcb77"},"root_ids":["p1022"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>